package com.tjzhxx.union.custom_view;

import android.content.Context;
import android.util.AttributeSet;
import android.widget.ListView;

/**
 * Created by Administrator on 2015/12/1.
 */
public class NeverScrollListView extends ListView {
    public NeverScrollListView(Context context, AttributeSet attrs) {
        super(context, attrs);
    }

    public NeverScrollListView(Context context) {
        super(context);
    }

    public NeverScrollListView(Context context, AttributeSet attrs, int defStyle) {
        super(context, attrs, defStyle);
    }

    @Override
    public void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {

        int expandSpec = MeasureSpec.makeMeasureSpec(
                Integer.MAX_VALUE >> 2, MeasureSpec.AT_MOST);
        super.onMeasure(widthMeasureSpec, expandSpec);
    }
}
